/* PgSqlClient - ADO.NET Data Provider for PostgreSQL 7.4+
 * Copyright (c) 2003-2004 Carlos Guzman Alvarez
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;
using PostgreSql.Data.NPgClient;
using PostgreSql.Data.PgSqlClient.DbSchema;

namespace PostgreSql.Data.NPgClient
{
	internal delegate void PgClientNotificationEventHandler(object sender, PgClientNotificationEventArgs e);

	internal sealed class PgClientNotificationEventArgs : EventArgs
	{
		private int		processID;
		private string	condition;
		private string	aditional;

		public int ProcessID
		{
			get { return processID; }
		}

		public string Condition
		{
			get { return condition; }
		}

		public string Aditional
		{
			get { return aditional; }
		}

		public PgClientNotificationEventArgs(int processID, string condition, string addtional)
		{
			this.processID	= processID;
			this.condition	= condition;
			this.aditional	= aditional;
		}
	}
}
